Subject: bug#49888: 28.0.50; fido-mode not sorting by recency

From: João Távora <[email-masked]>
Date: Sun, 15 Aug 2021 09:22:03 +0100

Manuel Uberti <[email-masked]> writes:

> In 'emacs -Q', this is what I did:
>
> - M-x savehist-mode RET
> - M-x fido-mode RET
> - M-x icomplete-vertical-mode RET
> - M-x emacs-init-time
> - C-x p p, pick a Git-versioned directory RET
> - f, pick the fourth candidate, C-x k RET
> - M-x now shows pr-ps-file-preview on top
> - C-x p p, pick the only available project
> - C-x p f does not offer the previously selected candidate
>
> Is it possible to make fido-mode sort the candidates by recency?

Thanks for the report.  Seems like a nice reproduction recipe.  But it
seems like it demonstrates the problem for two fido-mode-using things,
right?  M-x _and_ C-x p p RET f, right?  No problem, just checking.

Indeed, ido-mode was quited perfected in recency stuff.  I was hard and
still kind is to give up on its very nice default M-p binding that
searches the recent history with whatever you have entered as a
pattern.  I used to use that all the time, and still haven't found a
nice substitute in fido-mode or any other completer for that matter.

João